using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace BMA.EHR.Infrastructure.Migrations.DisciplineDb
{
    /// <inheritdoc />
    public partial class updatetabledisciplineaddactiveId : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "activeId",
                table: "DisciplineInvestigates",
                type: "longtext",
                nullable: true,
                comment: "version หน่วยงาน")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "activeId",
                table: "DisciplineDisciplinarys",
                type: "longtext",
                nullable: true,
                comment: "version หน่วยงาน")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "activeId",
                table: "DisciplineComplaints",
                type: "longtext",
                nullable: true,
                comment: "version หน่วยงาน")
                .Annotation("MySql:CharSet", "utf8mb4");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "activeId",
                table: "DisciplineInvestigates");

            migrationBuilder.DropColumn(
                name: "activeId",
                table: "DisciplineDisciplinarys");

            migrationBuilder.DropColumn(
                name: "activeId",
                table: "DisciplineComplaints");
        }
    }
}
